/*
 * offline-fr.js
 */

var MW;

MW.setHtmlPlugins([{
	id:'receiver-video',
	html:'<video id="receiver-video" poster="images/waiting.png" autoplay></video>'
}]);

MW.setFonts({
	tag:'fonts',
	_children:[{
		tag:'entry',
		alias:'XMessagesList#sender',
		fontid:'02'
	},{
		tag:'entry',
		alias:'XMessagesList#date',
		fontid:'03'
	},{
		tag:'entry',
		alias:'XMessagesList#body',
		fontid:'01'
	},{
		tag:'entry',
		alias:'XMessagesList#title',
		fontid:'02'
	}]
});

MW.setWidgets([{
	tag:'vflow',
	id:'offline',
	expand:100,
	anchor:'north',
	weight:1,
	_children:[{
		tag:'grid',
		id:'_mw000',
		margin:[2,5,2,5],
		expandh:100,
		anchor:'center',
		ncols:2,
		nrows:1,
		gapw:30,
		weighth:'1',
		_children:[{
			tag:'cell',
			size:[1,1],
			_children:[{
				tag:'grid',
				id:'_mw001',
				margin:[5],
				anchor:'center',
				ncols:2,
				nrows:1,
				gapw:10,
				_children:[{
					tag:'cell',
					size:[1,1],
					_children:[{
						tag:'picture',
						id:'_mw002',
						anchor:'center',
						naturalsz:[23,32],
						size:[23,32],
						ref:'dudal-logo-32.png'
					}]
				},{
					tag:'cell',
					size:[1,1],
					_children:[{
						tag:'label',
						id:'_mw003',
						padding:[5,0,0,0],
						anchor:'center',
						fg:'white',
						text:'<div id="_mw003"><p id="_mw003_label" class="mw-label mwf-00 mw-nowrap mw-center">D U D A L</p></div>',
						nowrap:true
					}]
				}]
			}]
		},{
			tag:'cell',
			size:[1,1],
			_children:[{
				tag:'label',
				id:'offline-title',
				size:[200,0],
				expandh:100,
				anchor:'center',
				fg:'white',
				text:'<div id="offline-title"><p id="offline-title_label" class="mw-label mwf-01 mw-nowrap mw-center"></p></div>',
				nowrap:true
			}]
		}]
	},{
		tag:'splitpane',
		id:'_mw004',
		expand:100,
		anchor:'center',
		gap:5,
		weight:'0=0.2,1=0.8',
		buttonc:'gray',
		_children:[{
			tag:'splitpane',
			id:'_mw005',
			anchor:'center',
			orientation:1,
			gap:5,
			weight:'1',
			buttonc:'gray',
			_children:[{
				tag:'grid',
				id:'_mw006',
				margin:[0,0,5,0],
				anchor:'center',
				ncols:1,
				nrows:2,
				gap:5,
				weightv:'0',
				_children:[{
					tag:'cell',
					size:[1,1],
					_children:[{
						tag:'stack',
						id:'receiver-media',
						expand:100,
						anchor:'center',
						_children:[{
							tag:'grid',
							id:'receiver-info',
							expand:100,
							anchor:'center',
							bg:'#282828',
							ncols:1,
							nrows:1,
							_children:[{
								tag:'cell',
								size:[1,1],
								_children:[{
									tag:'simplegrid',
									id:'_mw007',
									anchor:'center',
									bg:'#282828',
									gapw:5,
									gaph:10,
									maxcols:1,
									mincols:1,
									align:'center',
									_children:[{
										tag:'label',
										id:'_mw008',
										anchor:'center',
										fg:'white',
										bg:'#282828',
										text:'<div id="_mw008"><p id="_mw008_label" class="mw-label mwf-01 mw-center">Date de diffusion</p></div>'
									},{
										tag:'label',
										id:'offline-day',
										anchor:'center',
										fg:'white',
										bg:'#282828',
										text:'<div id="offline-day"><p id="offline-day_label" class="mw-label mwf-01 mw-center"></p></div>'
									}]
								}]
							}]
						},{
							tag:'plugin',
							id:'receiver-video',
							expand:100,
							anchor:'center'
						}]
					}]
				},{
					tag:'cell',
					size:[1,1],
					_children:[{
						tag:'stack',
						id:'receiver-mode',
						expandh:100,
						anchor:'center',
						bg:'white',
						_children:[{
							tag:'pictbutton',
							id:'receiver-play',
							padding:[3],
							expand:100,
							anchor:'center',
							bg:'#282828',
							naturalsz:[24,24],
							size:[24,24],
							ref:'play-24.png',
							action:'video-play',
							active:'#202020',
							over:'#323232'
						},{
							tag:'pictbutton',
							id:'receiver-pause',
							padding:[3],
							expand:100,
							anchor:'center',
							bg:'#282828',
							naturalsz:[24,24],
							size:[24,24],
							ref:'pause-24.png',
							action:'video-pause',
							active:'#202020',
							over:'#323232'
						},{
							tag:'area',
							id:'receiver-noplay',
							expand:100,
							anchor:'center',
							bg:'#282828'
						}]
					}]
				}]
			},{
				tag:'thumbnails',
				bg:'black',
				expandh:'100%',
				gapv:'10',
				id:'offline-toc',
				imgw:'160',
				paddingv:'5',
				path:'toc',
				xref:'lecture-info'
			}]
		},{
			tag:'splitpane',
			id:'_mw00A',
			anchor:'center',
			orientation:1,
			gap:5,
			buttonc:'gray',
			_children:[{
				tag:'plugin-slide',
				id:'offline-slide',
				size:[480,360],
				anchor:'center',
				xref:'lecture-info'
			},{
				tag:'messages',
				bg:'#282828',
				id:'offline-msgs',
				size:'240x140'
			}]
		}]
	}]
}]);

MW.setTemplates({
	tag:'templates',
	_children:[{
		tag:'template',
		ref:'popup-error',
		widget:'grid',
		_children:[{
			tag:'grid',
			anchor:'golden',
			bg:'red',
			expandh:'80%',
			ncols:'2',
			nrows:'3',
			weighth:'0',
			_children:[{
				tag:'cell',
				_children:[{
					tag:'label',
					bg:'darkred',
					expand:'100%',
					fg:'white',
					fontid:'04',
					padding:'5:0:5:47',
					text:'Attention!'
				}]
			},{
				tag:'cell',
				_children:[{
					tag:'pictbutton',
					_action:'/popup/continue',
					active:'#6f0000',
					anchor:'north',
					bg:'darkred',
					over:'#ad3c3c',
					padding:'5',
					ref:'window-close-32.png',
					size:'32x32'
				}]
			},{
				tag:'cell',
				size:'2x1',
				_children:[{
					tag:'label',
					_text:'/popup/text',
					bg:'red',
					fg:'white',
					fontid:'04',
					padding:'20:20:10:20'
				}]
			},{
				tag:'cell',
				size:'2x1',
				_children:[{
					tag:'button',
					_action:'/popup/continue',
					bg:'red',
					margin:'10:0:20:0',
					text:'Continuer'
				}]
			}]
		},{
			tag:'template-font',
			fontid:'05',
			id:'default'
		}]
	}]
});

MW.setTasks({
	tag:'tasks',
	_children:[{
		tag:'config',
		_children:[{
			tag:'servlet'
		},{
			tag:'layout',
			bg:'#282828'
		},{
			tag:'var',
			id:'xmessages-list-label',
			_content:'Liste des questions'
		}]
	},{
		tag:'task',
		id:'offline-slide-update',
		_children:[{
			tag:'plugin-action',
			ref:'load',
			widgetId:'offline-slide',
			value:'${action-data}'
		}]
	},{
		tag:'task',
		id:'images-loaded',
		_children:[{
			tag:'plugin-action',
			ref:'refresh',
			widgetId:'offline-toc'
		},{
			tag:'plugin-action',
			ref:'init',
			widgetId:'offline-slide'
		},{
			tag:'plugin-object',
			id:'offline-viewer',
			ref:'start'
		},{
			tag:'card-show',
			id:'offline'
		}]
	},{
		tag:'task',
		id:'#http-jserror',
		_children:[{
			tag:'popup-error',
			id:'http-jserror',
			ref:'offline',
			value:'Désolé, une erreur interne vient de se produire.'
		}]
	},{
		tag:'task',
		id:'offline-messages-hidden',
		_children:[{
			tag:'plugin-object',
			id:'offline-viewer',
			ref:'messages-hidden'
		}]
	},{
		tag:'task',
		id:'video-pause',
		_children:[{
			tag:'plugin-object',
			id:'offline-viewer',
			ref:'video-pause'
		}]
	},{
		tag:'task',
		id:'offline-messages-refresh',
		_children:[{
			tag:'plugin-object',
			id:'offline-viewer',
			ref:'messages-refresh'
		}]
	},{
		tag:'task',
		id:'video-play',
		_children:[{
			tag:'plugin-object',
			id:'offline-viewer',
			ref:'video-play'
		}]
	},{
		tag:'task',
		id:'#start',
		_children:[{
			tag:'cards-hide'
		},{
			tag:'card-update',
			cardId:'offline',
			widgetId:'offline-title',
			value:'${#lecture-info/title}'
		},{
			tag:'card-update',
			cardId:'offline',
			widgetId:'offline-day',
			value:'${#lecture-info/day}'
		},{
			tag:'plugin-object',
			id:'offline-viewer',
			ref:'cache-offline',
			value:'images-loaded'
		}]
	}]
});
